-- #103
CREATE TABLE creditcheckproviderconfig (
    creditcheckproviderconfigid int           not null
,   creditcheckproviderid int           not null
,   noextraconfirmation  bit           not null

,   constraint pk_creditcheckproviderconfig     primary key (creditcheckproviderconfigid)
,   constraint fk_creditcheckproviderconfig_o   foreign key (creditcheckproviderconfigid)
        references object                           (objectid)
,   constraint fk_creditcheckproviderconfig_c   foreign key (creditcheckproviderid)
        references creditcheckprovider              (creditcheckproviderid)
)
GO
CREATE INDEX i_creditcheckprovider_provider ON creditcheckproviderconfig (creditcheckproviderid)
GO
