-- #101
CREATE TABLE dhlproductlist (
     dhlproductlistid     integer  not null AUTO_INCREMENT
,    productid            varchar(255)  not null
,    supplier             varchar(255)  null
,    displayname          varchar(255)  null
,    displaytext          longtext  null
,    pictureurl           varchar(255)  null
,    validfrom            datetime  null
,    validto              datetime  null
,    weightkgmin          double  null
,    weightkgmax          double  null
,    lengthcmmin          double  null
,    lengthcmmax          double  null
,    widthcmmin           double  null
,    widthcmmax           double  null
,    heightcmmin          double  null
,    heightcmmax          double  null
,    lengthwidthheightcmmin double  null
,    lengthwidthheightcmmax double  null
,    url                  varchar(255)  null
,    tos                  varchar(255)  null
,    printadvice          varchar(255)  null

,   constraint pk_dhlproductlistid              primary key (dhlproductlistid)
)
GO
CREATE INDEX i_weightkgmin ON dhlproductlist (weightkgmin)
GO
CREATE INDEX i_weightkgmax ON dhlproductlist (weightkgmax)
GO
CREATE INDEX i_lengthcmmin ON dhlproductlist (lengthcmmin)
GO
CREATE INDEX i_lengthcmmax ON dhlproductlist (lengthcmmax)
GO
CREATE INDEX i_widthcmmin ON dhlproductlist (widthcmmin)
GO
CREATE INDEX i_widthcmmax ON dhlproductlist (widthcmmax)
GO
CREATE INDEX i_heightcmmin ON dhlproductlist (heightcmmin)
GO
CREATE INDEX i_heightcmmax ON dhlproductlist (heightcmmax)
GO
CREATE INDEX i_lengthwidthheightcmmin ON dhlproductlist (lengthwidthheightcmmin)
GO
CREATE INDEX i_lengthwidthheightcmmax ON dhlproductlist (lengthwidthheightcmmax)
GO
CREATE INDEX i_validfrom ON dhlproductlist (validfrom)
GO
CREATE INDEX i_validto ON dhlproductlist (validto)
GO
CREATE INDEX i_productid ON dhlproductlist (productid)
GO
