-- #102
CREATE TABLE dhlprodlistattribute (
    dhlprodlistatrributeid int           not null
,   attributeid          int           not null
,   currencyid           varchar(3)    null
,   dhlproductlistid     int           null
,   name                 varchar(255)  null
,   maxamounteur         money         null

,   constraint pk_dhlprodlistattribut           primary key (dhlprodlistatrributeid)
,   constraint fk_dhlprodlistattribute_curren   foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_dhlprodlistattribute_dhlpro   foreign key (dhlproductlistid)
        references dhlproductlist                   (dhlproductlistid)
)
GO
CREATE UNIQUE INDEX u_dhlproductlistid_attibuteid ON dhlprodlistattribute (dhlproductlistid, attributeid)
GO
CREATE INDEX i_attributeid ON dhlprodlistattribute (attributeid)
GO
