-- #103
CREATE TABLE shippingfulfillmentmethod (
    shippingfulfillmentmethodid int           not null
,   shippingfulfillmenttypeid int           null
,   isintestmode         bit           not null
,   webserviceusername   varchar(32)   null
,   webservicepassword   varchar(32)   null
,   autogeneratelabels   bit           not null

,   constraint pk_shippingfulfillmentmethod     primary key (shippingfulfillmentmethodid)
,   constraint fk_shippingfulfillmentmethod_o   foreign key (shippingfulfillmentmethodid)
        references object                           (objectid)
,   constraint fk_shippingfulfillmentmethod_s   foreign key (shippingfulfillmenttypeid)
        references shippingfulfillmenttype          (shippingfulfillmenttypeid)
)
GO
CREATE INDEX i_shippingfulfillmenttypeid ON shippingfulfillmentmethod (shippingfulfillmenttypeid)
GO
