/*
 * @author			Emanuel Vitzthum
 * @copyright		© 2011 jQuery SDK v1.0
 * @info			http://www.jquerysdk.com
 *
 * @license			Duale licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) and GPL (http://www.gnu.org/licenses/gpl.html)
 *
 * @plugin			jQuery.support.flash
 */

jQuery.plugin( 'jQuery.support.flash', function( $, undefined ){

	var flash = 0;

	if( navigator.plugins.length && navigator.plugins['Shockwave Flash'] ) {
		var ret = navigator.plugins["Shockwave Flash"].description.match(/([0-9\.]+)/g);
		flash = ret[0] ? parseFloat(ret[0]) : 0;
	}
	else {
		for( var i=15; i>3; i-- ) {
			try {
				new ActiveXObject( "ShockwaveFlash.ShockwaveFlash."+i );
				flash = i;
			}
			catch(error) {
			}
			if( flash ){
				break;
			}
		}
	}

	$.support.flash = flash;
});