-- #105
CREATE TABLE creditcheckagencypricelimit (
    creditcheckagencyconfigid int           not null
,   currencyid           char(3)       not null
,   minamount            money         null
,   maxamount            money         null

,   constraint pk_creditcheckagencypricelimit   primary key (creditcheckagencyconfigid,currencyid)
,   constraint fk_creditcheckagencypricelimit   foreign key (creditcheckagencyconfigid)
        references creditcheckagencyconfig          (creditcheckagencyconfigid)
,   constraint fk_creditcheckagencypriceli_1    foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX ccagenypricelimit_currency ON creditcheckagencypricelimit (currencyid)
GO
