-- #102
CREATE TABLE creditcheckprovider (
    creditcheckproviderid int           not null
,   featureid            int           null
,   configclassid        int           null
,   name                 varchar(255)  null
,   image                varchar(255)  null
,   logging              bit           not null

,   constraint pk_creditcheckprovider           primary key (creditcheckproviderid)
,   constraint fk_creditcheckprovider_object    foreign key (creditcheckproviderid)
        references object                           (objectid)
,   constraint fk_creditcheckprovider_feature   foreign key (featureid)
        references feature                          (featureid)
,   constraint fk_creditcheckprovider_class     foreign key (configclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_ccprovider_configclassid ON creditcheckprovider (configclassid)
GO
