-- #102
CREATE TABLE dhlprodlistdeliverydest (
    dhlprodlistdeliverydestid int           not null
,   countrycode          varchar(3)    not null
,   currencyid           varchar(3)    null
,   dhlproductlistid     int           null
,   exceptions           varchar(255)  null
,   overallpriceamounteur money         null
,   overallpricedisplayname varchar(255)  null
,   declaration          varchar(255)  null
,   cn22limit            float         null
,   endorsement          bit           not null

,   constraint pk_dhlprodlistdeliverydest       primary key (dhlprodlistdeliverydestid)
,   constraint fk_dhlprodlistdeliverydest_cur   foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_dhlprodlistdeliverydest_dhl   foreign key (dhlproductlistid)
        references dhlproductlist                   (dhlproductlistid)
)
GO
CREATE UNIQUE INDEX u_dhlproductlistd_countrycode ON dhlprodlistdeliverydest (dhlproductlistid, countrycode)
GO
CREATE INDEX i_countrycode ON dhlprodlistdeliverydest (countrycode)
GO
