-- #103
CREATE TABLE shippingtransaction (
     shippingtransactionid integer  not null
,    transid              varchar(50)  null
,    transid2             varchar(50)  null
,    transstatus          varchar(50)  null
,    amount               decimal(19,4)  null
,    currencyid           char(3)  null
,    shippingfulfillmenttypeid integer  not null
,    shippinglabelsurl    varchar(255)  null
,    transtime            datetime  null
,    transtimemod         datetime  null
,    istesttransaction    bool  not null

,   constraint pk_shippingtransaction           primary key (shippingtransactionid)
,   constraint fk_shippingtransaction_object    foreign key (shippingtransactionid)
        references object                           (objectid)
,   constraint fk_shippingtransaction_currenc   foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_shippingtransaction_shippin   foreign key (shippingfulfillmenttypeid)
        references shippingfulfillmenttype          (shippingfulfillmenttypeid)
)
GO
CREATE INDEX i_currencyid ON shippingtransaction (currencyid)
GO
CREATE INDEX i_transactionnumber ON shippingtransaction (transid)
GO
CREATE INDEX i_transactionnumber2 ON shippingtransaction (transid2)
GO
CREATE INDEX i_shippingfulfillmenttypeid ON shippingtransaction (shippingfulfillmenttypeid)
GO
