-- #203
CREATE TABLE lineitemproductmaxdownload (
     lineitemproductid    integer  not null
,    downloadproductmapid integer  not null
,    counter              integer  not null

,   constraint pk_lineitemproductmaxdownload    primary key (lineitemproductid,downloadproductmapid)
,   constraint fk_lineitemmaxdownload_lineitemproduct foreign key (lineitemproductid)
        references lineitemproduct                  (lineitemproductid)
,   constraint fk_lineitemmaxdownload_downloadproductmap foreign key (downloadproductmapid)
        references downloadproductmap               (downloadproductmapid)
)
GO
CREATE INDEX i_lineitemproductmaxdownload_downloadproductmap ON lineitemproductmaxdownload (downloadproductmapid)
GO
